Page MenuHomePhabricator

Avoid contradicting messages between Getting Started and Visual editor for new users
Open, LowPublic

Description

When a user creates a new account, Getting Started prompts them with the suggestion to edit the current page with additional guidance:

If the user clicks on "Edit source" (the editing option provided) the user gets directed to the Visual Editor in visual mode. There, the Getting Started dialogs appear on top of the Visual Editor introduction one. In addition, the Getting Started dialogs do not seem to be up to date (mentioning preview in the first step, and "Save page" instead of "Publish changes").

This may generate some confusion to new users that were just trying to follow the path we proposed for them.

For the last part of the tour we may want to either (a) remove it (assuming the VE intro panel and the following education features over links and citation buttons are doing the job), or (b) show it after the user closed the introduction panel (with updated content to match the current UI, and postponing the blue pulsing dots in the VE toolbar to be shown after the tour is completed).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 13 2018, 9:57 AM
cmadeo added a subscriber: cmadeo.
Deskana triaged this task as Low priority.Aug 29 2018, 1:30 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 29 2018, 1:30 PM
Deskana moved this task from To Triage to Freezer on the VisualEditor board.Aug 29 2018, 1:31 PM

I am going to think about this some more and decide whether it is something Growth team should spend some time with.

Catrope moved this task from Needs Discussion/Analysis to FY 2019-20 on the Growth-Team board.
JTannerWMF moved this task from FY 2019-20 to Q2 2019-20 on the Growth-Team board.Jan 3 2019, 3:57 PM
JTannerWMF reassigned this task from MMiller_WMF to kaldari.Apr 10 2019, 4:45 PM
JTannerWMF added subscribers: ppelberg, marcella, kaldari and 2 others.

@kaldari will coordinate with the Editing team to see if we can get rid of the pop up.

CC: @ppelberg @marcella @Esanders

JTannerWMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

@Esanders - Is it technically possible for Getting Started to suppress the introductory editing dialog that VE presents?

@ppelberg - Any thoughts on this? The proliferation of pop-ups for new users is getting a bit obnoxious. Would this one be a good candidate for axing?

Esanders added a comment.EditedApr 10 2019, 7:39 PM

@kaldari - yes can set the user flag which indicates if they've seen it before, or temporarily suppress it using a query string param.

The purpose of the dialog is to make sure users know there is another editing mode they can switch to. On wikis that aren't VE-default yet (e.g. en.wiki) this is probably fairly important.

I'd be less concerned about not showing the dialog when the default editor is already VE.

If the user clicks on "Edit source" (the editing option provided) the user gets directed to the Visual Editor in visual mode.

I'm guessing this a deliberate feature of the Getting Started experiment?

Thanks Ed! Looks like if the query string includes "vehidebetadialog", the dialog will be suppressed.

kaldari added a subscriber: RHo.Apr 10 2019, 11:10 PM

Perhaps @MMiller_WMF or @RHo could answer your questions.

Note that using the query string will only temporarily suppress the dialog - it may still be shown in the future. To suppress the dialog as if the user had already seen it you will need to set the user option visualeditor-hidebetawelcome.

I don't know if there is a "Getting Started" experiment still underway anywhere. Do you see any evidence that users are being split into treatment and control groups or anything like that? I better tag @Halfak who would likely have set up such an experiment if it there is one. The only reason I'm asking is because in my own experience with creating new accounts, I feel like "Getting Started" only shows up sometimes -- so maybe there is an experiment that is still running.

Wow! There shouldn't be. That was so long ago. Like, 5 years! I'm not sure how I would check. If there was one running, it would have split newcomer groups by their user_id. E.g. Odd user_ids would have been bucketed in experimental and even user_ids would have been bucketed in control (or vice versa)

@Esanders -- is it easy for you to tell whether there are any experiments running around this extension? Or which wiki's it is running in? I want us to figure out the current state of the feature, and then we can decide which of our teams addresses it.

'wmgUseGettingStarted' => [
	'default' => false,
	'testwiki' => true,
	'test2wiki' => true,
	'astwiki' => true,
	'bswiki' => true,
	'cawiki' => true,
	'dawiki' => true,
	'dewiki' => true,
	'elwiki' => true,
	'enwiki' => true,
	'eswiki' => true,
	'fawiki' => true,
	'frwiki' => true,
	'fowiki' => true,
	'glwiki' => true,
	'hewiki' => true,
	'huwiki' => true,
	'iswiki' => true,
	'itwiki' => true,
	'jawiki' => true,
	'kowiki' => true,
	'lbwiki' => true,
	'mkwiki' => true,
	'mlwiki' => true,
	'nlwiki' => true,
	'plwiki' => true,
	'ptwiki' => true,
	'ruwiki' => true,
	'simplewiki' => true,
	'svwiki' => true,
	'viwiki' => true,
	'ukwiki' => true,
	'zhwiki' => true,
],
JTannerWMF reassigned this task from kaldari to MMiller_WMF.May 8 2019, 4:27 PM
RHo added a comment.Jul 25 2019, 2:35 PM

hi @MMiller_WMF - this task looks like it requires Engineering effort to remove conflicting pop-ups, rather than requiring design input. Is this right or am I missing something?

hi @MMiller_WMF - this task looks like it requires Engineering effort to remove conflicting pop-ups, rather than requiring design input. Is this right or am I missing something?

Before removing things, we need to know what is the most important part to keep from a design perspective.

RHo added a comment.Jul 29 2019, 5:47 PM

hi @MMiller_WMF - this task looks like it requires Engineering effort to remove conflicting pop-ups, rather than requiring design input. Is this right or am I missing something?

Before removing things, we need to know what is the most important part to keep from a design perspective.

You're right @Trizek-WMF. I've reviewed this ticket again more closely to make the following recommendation options, based on the consensus that letting users know to switch to VE is of higher importance than the Getting Started tips.

Proposal A: If we want to maintain and update the "Getting Started" guided tour:

  • Update the "Getting started" guided tour so that it incorporates the "Switch to VE/Wikitext" message so there is only one set of pop-ups.
  • Create a split path in the "Getting Started" tour after the Switch to VE/Wikitext step and provide relevant tips for the VE editing UI.

Proposal B: If there's some desire to keep the "Getting Started" help guide for those who are in "Edit source" mode:

  • After the user selects to edit based on step 1 of the GettingStarted guided tour, they are shown the VE/Wikitext switcher dialog (instead of the Getting Started step 2).
  • If the user select to edit in VE from this dialog, they continue on WITHOUT Getting Started (since the tour is tailored to guidance on source edit mode).
  • If the user selects to edit in source from the VE/Wikitext switcher dialog, they can be shown the remaining GettingStarted screens.

Proposal C: Minimal effort update

  • Stop the Getting started tour after step 1 when Switch to VE/Wikitext is shown. This is on the assumption that those who are by default on VE will be sufficiently guided in that more newcomer-friendly UI, and that those who would explicitly choose to switch from VE to source editing are sufficiently experienced to not require the Getting Started help.

IIRC, this "Switch to VE/Wikitext" message has been created because experienced users were afraid of seeing newcomers not being aware of the wikitext editor. To be honest, in each workshop I've been hosting, people have been confused by this switch: they want to edit, not read things they don't understand.

My advice would be to go for GettingStarted first.

@iamjessklein, @Esanders - What do you think about the idea of retiring the "Switch to VE/Wikitext" dialog entirely?

I agree with this approach because it feels jargony to me.
cc/ @ppelberg

Seeing these different proposals laid out like this is a big help – thank you, @RHo.

@Esanders, @iamjessklein, @MMiller_WMF and I had an impromptu chat about this yesterday.

We came up with the following "proposed path forward" and "open questions": @Trizek-WMF / @kaldari / @RHo, what do y'all think?

Proposed path forward

  1. Editing will get rid of the editor switching dialog on wikis where VE is the default editing interface. See: T227769#5389051. This is similar to what @kaldari and @Esanders proposed in T189569#5101907 and T189569#5102340 respectively.
  2. Next week: Peter and Marshall meet to talk detail about how best to approach Getting Started and the open questions below.

Open questions

  • What is important contributors know and feel when opening up the editing interface for the first time?
  • What is currently being communicated to new editors across wikis and editing interfaces? It may make sense for "us" (intentionally unresolved pronoun) to create an inventory of sorts.

Editing will get rid of the editor switching dialog on wikis where VE is the default editing interface.

Some people may argue that our wikis are FLOSS projects, so people should be aware of the existence of the source of every page.

What is important contributors know and feel when opening up the editing interface for the first time?

IMO, they need to be guided to do what they wish to do. So the help panel should be the only thing that remains open.

What is currently being communicated to new editors across wikis and editing interfaces? It may make sense for "us" (intentionally unresolved pronoun) to create an inventory of sorts.

Just based on what I've seen (not real research) on VE:

  • Switch to VE/wikitext
  • GuidedTours (if a cookie hasn't been killed)
  • GettingStarted
  • EditNotices & Pages protection warnings

The latter can be other parasitic signal may be the alert panel, where you can find informations that are cryptic (like advice when creating a new page, or when editing with messages like "the page is protected against moves"). Those messages are often formatted for a full width display experience (not for something inside a narrow panel), they use colors that may discourage users, and they include some gibberish.

Next week: Peter and Marshall meet to talk detail about how best to approach Getting Started and the open questions below.

@ppelberg, @MMiller_WMF - So what were the results of the discussion in August?

Frankly, I'm amazed that we've been punting on this glaring user interaction bug for a year and a half now. There are two easy solutions:

  • Make Getting Started temporarily suppress the VE dialog by adding "vehidebetadialog" to the query string. The user will still see it the next time they use the editor, so they won't be missing out on any info.
  • Disable Getting Started entirely (until it can be updated to address this issue).

Can we just choose one of those?

There are two easy solutions:

  • Make Getting Started temporarily suppress the VE dialog by adding "vehidebetadialog" to the query string. The user will still see it the next time they use the editor, so they won't be missing out on any info.
  • Disable Getting Started entirely (until it can be updated to address this issue).

Can we just choose one of those?

I've spoken with @MMiller_WMF and pinged @ppelberg, and we're going to move forward with the first solution you've identified here as a short-term fix that significantly improves the user interaction. I've made a separate ticket to track that work: T235812.

Further discussion about the value of Getting Started and whether it might be superseded by certain Growth Experiments can be found here: T235752.

The next steps to address the larger problem of conflicting popups will be:

  • Conduct an audit of all pop ups that newcomer editors experience: T229887
  • Design a solution to suppress popups from the editor: T235566